# watcherclient.v1 package

## Submodules

- watcherclient.v1.action module
- watcherclient.v1.action_plan module
- watcherclient.v1.action_plan_shell module
- watcherclient.v1.action_shell module
- watcherclient.v1.audit module
- watcherclient.v1.audit_shell module
- watcherclient.v1.audit_template module
- watcherclient.v1.audit_template_shell module
- watcherclient.v1.client module
- watcherclient.v1.data_model module
- watcherclient.v1.data_model_shell module
- watcherclient.v1.goal module
- watcherclient.v1.goal_shell module
- watcherclient.v1.resource_fields module
- watcherclient.v1.scoring_engine module
- watcherclient.v1.scoring_engine_shell module
- watcherclient.v1.service module
- watcherclient.v1.service_shell module
- watcherclient.v1.strategy module
- watcherclient.v1.strategy_shell module

## Module contents

class watcherclient.v1.Action(manager, info, loaded=False)

  Bases: `watcherclient.common.base.Resource`

class watcherclient.v1.ActionManager(api)

  Bases: `watcherclient.common.base.Manager`

  get(action_id)
  list(action_plan=None, audit=None, limit=None, sort_key=None, sort_dir=None, detail=False, marker=None)

    Retrieve a list of action.

    Parameters

      - action_plan – UUID of the action plan

      - audit – UUID of the audit

      - limit –

        The maximum number of results to return per

          request, if:

        1. limit > 0, the maximum number of actions to return.

        2. limit == 0, return the entire list of actions.

        3. limit param is NOT specified (None), the number of items returned respect the maximum imposed by the Watcher API (see Watcher’s api.max_limit option).

      - sort_key – Optional, field used for sorting.

      - sort_dir – Optional, direction of sorting, either ‘asc’ (the default) or ‘desc’.

      - detail – Optional, boolean whether to return detailed information about actions.

      - marker – Optional, UUID of the last action in the previous page.

    Returns

      A list of actions.

  resource_class

    alias of `watcherclient.v1.action.Action`

class watcherclient.v1.ActionPlan(manager, info, loaded=False)

  Bases: `watcherclient.common.base.Resource`

class watcherclient.v1.ActionPlanManager(api)

  Bases: `watcherclient.common.base.Manager`

  cancel(action_plan_id)
  delete(action_plan_id)
  get(action_plan_id)
  list(audit=None, limit=None, sort_key=None, sort_dir=None, detail=False, marker=None)

    Retrieve a list of action plan.

    Parameters

      - audit – Name of the audit

      - limit –

        The maximum number of results to return per

          request, if:

        1. limit > 0, the maximum number of action plans to return.

        2. limit == 0, return the entire list of action plans.

        3. limit param is NOT specified (None), the number of items returned respect the maximum imposed by the Watcher API (see Watcher’s api.max_limit option).

      - sort_key – Optional, field used for sorting.

      - sort_dir – Optional, direction of sorting, either ‘asc’ (the default) or ‘desc’.

      - detail – Optional, boolean whether to return detailed information about action plans.

      - marker – The last actionplan UUID of the previous page; displays list of actionplans after “marker”.

    Returns

      A list of action plans.

  resource_class

    alias of `watcherclient.v1.action_plan.ActionPlan`

  start(action_plan_id)
  update(action_plan_id, patch)

class watcherclient.v1.Audit(manager, info, loaded=False)

  Bases: `watcherclient.common.base.Resource`

class watcherclient.v1.AuditManager(api)

  Bases: `watcherclient.common.base.Manager`

  create(**kwargs)
  delete(audit)
  get(audit)
  list(audit_template=None, limit=None, sort_key=None, sort_dir=None, detail=False, goal=None, strategy=None, marker=None)

    Retrieve a list of audit.

    Parameters

      - audit_template – Name of the audit template

      - limit –

        The maximum number of results to return per

          request, if:

        1. limit > 0, the maximum number of audits to return.

        2. limit == 0, return the entire list of audits.

        3. limit param is NOT specified (None), the number of items returned respect the maximum imposed by the Watcher API (see Watcher’s api.max_limit option).

      - sort_key – Optional, field used for sorting.

      - sort_dir – Optional, direction of sorting, either ‘asc’ (the default) or ‘desc’.

      - detail – Optional, boolean whether to return detailed information about audits.

      - marker – Optional, UUID of the last audit in the previous page.

    Returns

      A list of audits.

  resource_class

    alias of `watcherclient.v1.audit.Audit`

  update(audit, patch)

class watcherclient.v1.AuditTemplate(manager, info, loaded=False)

  Bases: `watcherclient.common.base.Resource`

class watcherclient.v1.AuditTemplateManager(api)

  Bases: `watcherclient.common.base.Manager`

  create(**kwargs)
  delete(audit_template_id)
  get(audit_template_id)
  list(name=None, goal=None, strategy=None, limit=None, sort_key=None, sort_dir=None, detail=False, marker=None)

    Retrieve a list of audit template.

    Parameters

      - name – Name of the audit template

      - limit –

        The maximum number of results to return per

          request, if:

        1. limit > 0, the maximum number of audit templates to return.

        2. limit == 0, return the entire list of audit_templates.

        3. limit param is NOT specified (None), the number of items returned respect the maximum imposed by the Watcher API (see Watcher’s api.max_limit option).

      - sort_key – Optional, field used for sorting.

      - sort_dir – Optional, direction of sorting, either ‘asc’ (the default) or ‘desc’.

      - detail – Optional, boolean whether to return detailed information about audit_templates.

      - marker – Optional, UUID of the last audit template of the previous page.

    Returns

      A list of audit templates.

  resource_class

    alias of `watcherclient.v1.audit_template.AuditTemplate`

  update(audit_template_id, patch)

class watcherclient.v1.DataModel(manager, info, loaded=False)

  Bases: `watcherclient.common.base.Resource`

class watcherclient.v1.DataModelManager(api)

  Bases: `watcherclient.common.base.Manager`

  list(data_model_type='compute', audit=None)

    Retrieve a list of data model.

    Parameters

      - data_model_type – The type of data model user wants to list. Supported values: compute. Future support values: storage, baremetal. The default value is compute.

      - audit – The UUID of the audit, used to filter data model by the scope in audit.

    Returns

      A list of data model.

  resource_class

    alias of `watcherclient.v1.data_model.DataModel`

class watcherclient.v1.Goal(manager, info, loaded=False)

  Bases: `watcherclient.common.base.Resource`

class watcherclient.v1.GoalManager(api)

  Bases: `watcherclient.common.base.Manager`

  get(goal)
  list(limit=None, sort_key=None, sort_dir=None, detail=False, marker=None)

    Retrieve a list of goal.

    Parameters

      - limit –

        The maximum number of results to return per

          request, if:

        1. limit > 0, the maximum number of audits to return.

        2. limit == 0, return the entire list of audits.

        3. limit param is NOT specified (None), the number of items returned respect the maximum imposed by the Watcher API (see Watcher’s api.max_limit option).

      - sort_key – Optional, field used for sorting.

      - sort_dir – Optional, direction of sorting, either ‘asc’ (the default) or ‘desc’.

      - detail – Optional, boolean whether to return detailed information about audits.

      - marker – Optional, UUID of the last goal in the previous page.

    Returns

      A list of goals.

  resource_class

    alias of `watcherclient.v1.goal.Goal`

class watcherclient.v1.ScoringEngine(manager, info, loaded=False)

  Bases: `watcherclient.common.base.Resource`

class watcherclient.v1.ScoringEngineManager(api)

  Bases: `watcherclient.common.base.Manager`

  get(scoring_engine_name)
  list(limit=None, sort_key=None, sort_dir=None, detail=False)

    Retrieve a list of scoring engines.

    Parameters

      - limit –

        The maximum number of results to return per

          request, if:

        1. limit > 0, the maximum number of scoring engines to return.

        2. limit == 0, return the entire list of scoring engines.

        3. limit param is NOT specified (None), the number of items returned respect the maximum imposed by the Watcher API (see Watcher’s api.max_limit option).

      - sort_key – Optional, field used for sorting.

      - sort_dir – Optional, direction of sorting, either ‘asc’ (the default) or ‘desc’.

      - detail – Optional, boolean whether to return detailed information about scoring engines.

    Returns

      A list of scoring engines.

  resource_class

    alias of `watcherclient.v1.scoring_engine.ScoringEngine`

class watcherclient.v1.Service(manager, info, loaded=False)

  Bases: `watcherclient.common.base.Resource`

class watcherclient.v1.ServiceManager(api)

  Bases: `watcherclient.common.base.Manager`

  get(service)
  list(limit=None, sort_key=None, sort_dir=None, detail=False)

    Retrieve a list of services.

    Parameters

      - limit –

        The maximum number of results to return per

          request, if:

        1. limit > 0, the maximum number of services to return.

        2. limit == 0, return the entire list of services.

        3. limit param is NOT specified (None), the number of items returned respect the maximum imposed by the Watcher API (see Watcher’s api.max_limit option).

      - sort_key – Optional, field used for sorting.

      - sort_dir – Optional, direction of sorting, either ‘asc’ (the default) or ‘desc’.

      - detail – Optional, boolean whether to return detailed information about services.

    Returns

      A list of services.

  resource_class

    alias of `watcherclient.v1.service.Service`

class watcherclient.v1.Strategy(manager, info, loaded=False)

  Bases: `watcherclient.common.base.Resource`

class watcherclient.v1.StrategyManager(api)

  Bases: `watcherclient.common.base.Manager`

  get(strategy)
  list(goal=None, limit=None, sort_key=None, sort_dir=None, detail=False, marker=None)

    Retrieve a list of strategy.

    Parameters

      - goal – The UUID of the goal to filter by

      - limit –

        The maximum number of results to return per

          request, if:

        1. limit > 0, the maximum number of audits to return.

        2. limit == 0, return the entire list of audits.

        3. limit param is NOT specified (None), the number of items returned respect the maximum imposed by the Watcher API (see Watcher’s api.max_limit option).

      - sort_key – Optional, field used for sorting.

      - sort_dir – Optional, direction of sorting, either ‘asc’ (the default) or ‘desc’.

      - detail – Optional, boolean whether to return detailed information about audits.

      - marker – Optional, UUID of the last strategy in the previous page.

    Returns

      A list of audits.

  resource_class

    alias of `watcherclient.v1.strategy.Strategy`

  state(strategy)

this page last updated: 2021-12-01 21:05:37

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug